#!/usr/bin/perl
#  Copyright 2001-2011 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Add Transfer' => 'Add Transfer',
	   'Main' => 'Main',
	   'Last Name' => 'Last Name',
	   'First Name' => 'First Name',
	   'Middle Name' => 'Middle Name',
	   'Birthdate' => 'Birthdate',
	   'YYYY-MM-DD' => 'YYYY-MM-DD',
	   'Student Number' => 'Student Number',
	   'Provincial Student Number' => 'Provincial Student Number',
	   'Date' => 'Date',
	   'Type' => 'Type',
	   'Withdraw' => 'Withdraw',
	   'Enrol' => 'Enrol',
	   'Description' => 'Description',
	   'Save' => 'Save',
	   'Error' => 'Error',
	   'Contact' => 'Contact',
	   'Record(s) Stored' => 'Record(s) Stored',
	   'Add Another' => 'Add Another',

	   );

$self = 'transadd.pl';

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}


$q = new CGI;
print $q->header( -charset, $charset ); 
%arr = $q->Vars;

print "$doctype\n<html><head><title>". $lex{'Add Transfer'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";
print "[ <a href=\"$homepage\">$lex{Main}</a> ]\n";
print "<center><h1>$lex{'Add Transfer'}</h1>\n";


if ( $arr{page} ) {
    delete $arr{page};
    writeRecord();
}



print "<form action=\"$self\" method=\"post\"> \n";
    print "<input type=\"hidden\" name=\"page\" value=\"1\">\n";

print "<table cellpadding = \"3\" cellspacing=\"0\" border=\"0\">\n";

print "<tr><td align=\"right\">". $lex{'Last Name'}. "</td>\n<td>";
print "<input type=\"text\" name=\"lastname\" size=\"25\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'First Name'}. "</td>\n<td>";
print "<input type=\"text\" name=\"firstname\" size=\"25\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'Middle Name'}. "</td>\n<td>";
print "<input type=\"text\" name=\"middlename\" size=\"25\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'Birthdate'}. "</td>\n<td>";
print "<input type=\"text\" name=\"birthdate\" size=\"12\">";
print "$lex{'YYYY-MM-DD'}</td></tr>\n";

print "<tr><td align=\"right\">". $lex{'Student Number'}. "</td>\n<td>";
print "<input type=\"text\" name=\"studnum\" size=\"8\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'Provincial Student Number'}. "</td>\n<td>";
print "<input type=\"text\" name=\"provnum\" size=\"12\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{Date}. "</td>\n<td>";
print "<input type=\"text\" name=\"date\" size=\"12\">$lex{'YYYY-MM-DD'}</td></tr>\n";

print "<tr><td align=\"right\">$lex{Type}</td>\n<td>";
print "<select name=\"type\"><option></option>";
print "<option value=\"withdraw\">$lex{Withdraw}</option>\n";
print "<option value=\"enrol\">$lex{Enrol}</option>";
print "</select></td></tr>\n";

print "<tr><td align=\"right\">". $lex{Description}. "</td>\n<td>";
print "<input type=\"text\" name=\"description\" size=\"50\"></td></tr>\n";

print "<tr><td colspan=\"2\" align=\"center\">\n";
print "<input type=\"submit\" value=\"$lex{Save}\"></td></tr>\n";

print "</table></form>\n";
print "</center></body></html>\n";



#--------------
sub writeRecord {
#--------------

    # foreach my $key ( sort keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }

    my $dsn = "DBI:$dbtype:dbname=$dbase";
    my $dbh = DBI->connect($dsn,$user,$password);
    $dbh->{mysql_enable_utf8} = 1;

    $sth = $dbh->prepare("insert into transfer ( 
      studnum, date, type, description, entrytype, exittype, prov, country,
      lastname, firstname, middlename, birthdate, provnum )
      values ( ?,?,?,?,?,?,?,?,?,?,?,?,? )");

    $sth->execute( $arr{studnum}, $arr{date}, $arr{type}, $arr{description},
      $arr{entrytype}, $arr{exittype}, $arr{prov}, $arr{country},
      $arr{lastname}, $arr{firstname}, $arr{middlename}, $arr{birthdate}, $arr{provnum} );

    if ( not $DBI::errstr ) {
	print "<h3>$lex{'Record(s) Stored'}</h3>\n";

    } else {
	print "<h3>$lex{Error} $DBI::errstr;<br>$lex{Contact}";
	print ": $adminname <a href=\"mailto:$adminemail\">$adminemail</a></h3>\n";
    }


    print "<h3>[ <a href=\"$self\">$lex{'Add Another'}</a> ]</h3>\n";
    print "</center></body></html>\n";

    exit;
}
