# Insert records for new variables.

INSERT INTO `conf_system` (filename, sectionname, dataname, datatype, version, description) 
VALUES ('admin','schoolyear','g_MTrackTerm','hashofarray','5.75',
'Holds the term data for all tracks and all terms. Structure is: g_MTrackTerm{track}[term]{\'start\' => \'2011-03-15\', \'end\' => \'2011-06-28\'}');

INSERT INTO `conf_system` (filename, sectionname, dataname, datatype, version, description) 
VALUES ('admin','schoolyear','g_TrackDisplay','hash','5.75','Lists names associated with each Track.');

INSERT INTO `conf_system` (filename, sectionname, dataname, datatype, version, description) 
VALUES ('admin','schoolyear','g_TermDisplayBlock','hash','5.75','List names for blocks of terms (typically called Semesters, etc).');

INSERT INTO `conf_system` (filename, sectionname, dataname, datatype, version, description) 
VALUES ('admin','system','g_InacSchool','scalar','5.75','Inac number for the school.');

INSERT INTO `conf_system` (filename, sectionname, dataname, datatype, version, description) 
VALUES ('admin','system','g_DefaultTrack','scalar','5.75','Default Trackfor most scripts (not multitrack aware).');

INSERT INTO `conf_system` (filename, sectionname, sequenceval, dataname, datatype, datavalue, version, description) 
VALUES ('admin','dates',425,'g_ResetCycleDate','hash','%g_ResetCycleDate = (\'2010-11-30\'=> \'2\');','5.75','These are dates on which the cycle is reset to a new starting value. Following dates then follow this day in normal cycle format. If we reset Monday to a Day 3 in a 5 day cycle (for some reason), then Tuesday would be day 4, Wednesday Day 5, and Thursday would be Day 1 (restarting the cycle). ');

# Delete 2 records no longer used
delete from conf_system where filename = 'admin' and dataname = 'g_MTrackTermStart'; 
delete from conf_system where filename = 'admin' and dataname = 'g_MTrackTermEnd';

# Remove unused css values
delete from conf_system where filename = 'admin' and dataname = 'g_maincss';
delete from conf_system where filename = 'admin' and dataname = 'g_tchcss';

# Update sectionname
update conf_system set sectionname = 'schoolyear' where sectionname = 'dates';

