#!/usr/bin/perl
#  Copyright 2001-2011 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.


my %lex = ('Main' => 'Main',
	   'Report Card' => 'Report Card',
	   'student records depend on this subject' => 'student records depend on this subject',
	   'Please remove these first using' => 'Please remove these first using',
	   'Edit/Delete' => 'Edit/Delete',
	   'Subject Enrollment' => 'Subject Enrollment',
	   'Subject' => 'Subject',
	   'Subject-Section' => 'Subject-Section',
	   'Records Depending' => 'Records Depending',
	   'Are you sure' => 'Are you sure',
	   'Subjects' => 'Subjects',
	   'Edit/Delete' => 'Edit/Delete',
	   'Contact' => 'Contact',
	   'deleted' => 'deleted',
	   'Error' => 'Error',
	   'Delete' => 'Delete',
	   'Record' => 'Record',

	   );

my $self = 'subjdel.pl';

use CGI;
use DBI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}


my $q = new CGI;
print $q->header( -charset => $charset ); 
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;

my $title = "$lex{Delete} $lex{Subject}";
print "$doctype\n<html><head><title>$title</title>
 <link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
 $chartype\n</head><body>\n";

print "[ <a href=\"$homepage\">$lex{Main}</a> |\n";
print "<a href=\"$reppage\">$lex{'Report Card'}</a> ]\n";

if ($arr{flag}) {
    deleteRecord();
}

my $sth = $dbh->prepare("select subjsec, description from subject where id = ?"); 
$sth->execute( $arr{id} );
my ( $subjsec, $description ) = $sth->fetchrow;

$sth = $dbh->prepare("select count(*) from eval where subjcode = ?"); 
$sth->execute( $subjsec );
$subjcount = $sth->fetchrow;


if ( $subjcount > 0 ){ # Some records depend on this...
    print "<h1>$subjcount ";
    print $lex{'student records depend on this subject'}. ".<br>\n";
    print $lex{'Please remove these first using'};
    print " &quot;$lex{'Edit/Delete'} $lex{'Subject Enrollment'}&quot;</h1>\n";
    print "<h1>[ <a href=\"$reppage\">$lex{'Report Card'}</a> ]\n";
    print "</h1></center></body></html>\n";
    exit;
}


print "<center><h1>$title</h1>\n";
print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\n";

print "<tr><th align=\"right\">$lex{Subject}";
print "</td><td align=left>$description</td></tr>\n";

print "<tr><th align=\"right\">$lex{'Subject-Section'}";
print "</td><td align=left>$subjsec</td></tr>\n";

print "<tr><th align=\"right\">$lex{'Records Depending'}";
print "</td><td align=left>$subjcount</td></tr>\n";

print "</table>\n<p><em>";
print "$lex{Delete} $lex{Record}. $lex{'Are you sure'}?</em></p>
<form action=\"$self\" method=\"post\">
<input type=\"hidden\" name=\"flag\" value=\"1\">
<input type=\"hidden\" name=\"itemid\" value=\"$arr{id}\">
<input type=\"hidden\" name=\"name\" value=\"$description\">
<input type=\"submit\" value=\"$lex{Delete} $lex{Record}!\"></center>
</form></center></body></html>\n";


#---------------
sub deleteRecord {
#---------------

    #foreach my $key (keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }

    my $sth = $dbh->prepare("delete from subject where id = ?");
    $sth->execute( $arr{itemid} );

    if ($DBI::errstr) {
	print "<h1>$lex{Delete} $lex{Record} $lex{Error}<br>\n";
	print "$lex{Contact}: $adminname ( $adminemail )\n";
    } else {
	print "<h1>&quot;$arr{name}&quot; $lex{deleted}.</h1>\n";
    }

    print "<p>[ <a href=\"$reppage\">$lex{'Report Card'}</a> | \n";
    print "<a href=\"subjdeled.pl\">$lex{'Edit/Delete'} $lex{Subjects}</a> ]</p>\n"; 

    print "</center></body></html>\n";

    exit;

}
