#!/usr/bin/perl

# Set Homeroom
use DBI;
use Crypt::GeneratePassword qw(:all); # password generation.


my ($password, $dbase) = @ARGV;

if ( not $password ) {
    print "Usage: ./sethomeroom.pl password dbase\n";
    exit;
}

my $user = 'root';

my $dsn = "DBI:mysql:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;


my $sth = $dbh->prepare("select studid, grade from student order by grade, lastname, firstname");

my $sth1 = $dbh->prepare("update student set homeroom = ? where studid = ?");

$sth->execute;
if ($DBI::errstr){ print "$lex{Error}: $DBI::errstr; $!\n"; die $DBI::errstr; }
my $hr = 'a';


while ( my ($id, $grade ) = $sth->fetchrow ) {

    if ( $hr eq 'b' ) { $hr = 'a'; } else { $hr = 'b'; }
    my $homeroom = $grade. $hr;

    $sth1->execute( $homeroom, $id );
    if ($DBI::errstr){ print "$lex{Error}: $DBI::errstr; $!\n"; die $DBI::errstr; }

} # end of student loop


print "Done!\n";
